CUT(1)

NOM
cut - Supprimer une partie de chaque ligne d'un fichier

SYNOPSIS
cut [OPTION] ... [FICHIER] ...

DESCRIPTION

Afficher des parties sélectionnées des lignes de chaque FICHIER vers la sortie standard.

Les paramètres obligatoires pour les options de forme longue le sont aussi pour les options de forme courte.

-b, --bytes=LISTE
    sélectionner seulement ces octets

-c, --characters=LISTE
    sélectionner seulement ces caractères

-d, --delimiter=DÉLIM
    utiliser le DÉLIMiteur au lieu d'une tabulation comme délimiteur de champs

-f, --fields=LISTE
    sélectionner seulement ces champs ; afficher également toutes les lignes qui ne contiennent pas de caractère délimiteur, sauf si l'option -s est spécifiée

-n  (ignoré)

--complement
    compléter le jeu des octets sélectionnés, caractères ou champs

-s, --only-delimited
    ne pas afficher les lignes ne contenant pas de délimiteurs

--output-delimiter=CHAÎNE
    utiliser la CHAÎNE comme délimiteur de sortie ; par défaut le délimiteur de l'entrée est utilisé

--help
    Afficher l'aide-mémoire et quitter

--version
    Afficher le nom et la version du logiciel et quitter

Utiliser une et une seule des options -b, -c ou -f. Chaque LISTE se compose d'un intervalle ou de plusieurs intervalles séparés par des virgules. Chaque intervalle se compose de :

N   Nième octet, caractère ou champ, compté à partir de 1

N-  du Nième octet, caractère ou champ jusqu'à la fin de la ligne

N-M du Nième au Mième octet (inclus), caractère ou champ

-M  du premier au Mième octet (inclus), caractère ou champ

L'entrée standard est lue quand FICHIER est omis ou quand FICHIER vaut « - ».

AUTEUR
Écrit par David M. Ihnat, David MacKenzie et Jim Meyering.

SIGNALER DES BOGUES
Aide en ligne de GNU coreutils : <http://www.gnu.org/software/coreutils/>
Signaler toute erreur de traduction de cut à <http://translationproject.org/team/>

COPYRIGHT
Copyright © 2014 Free Software Foundation, Inc. Licence GPLv3+ : GNU GPL version 3 ou supérieures <http://gnu.org/licenses/gpl.html>
Ce programme est un logiciel libre. Vous pouvez le modifier et le redistribuer. Il n'y a AUCUNE GARANTIE dans la mesure autorisée par la loi.

VOIR AUSSI
Documentation complète : <http://www.gnu.org/software/coreutils/cut>
aussi disponible localement à l’aide de la commande : info '(coreutils) cut invocation'

TRADUCTION
Cette page de manuel a été traduite par Michel Robitaille <robitail AT iro DOT umontreal DOT ca> et mise à jour pour Debian par Guillaume Delacour <guillaume DOT delacour AT gmail DOT com> et les membres de la liste <debian-l10n-french AT lists DOT debian DOT org>. Veuillez signaler toute erreur de traduction par un rapport de bogue sur le paquet manpages-fr-extra.